Bug 1264674 - Create oVirt team custom field.
Create oVirt team custom field.
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
4.4
Unspecified Unspecified
high Severity medium (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-20 09:42 EDT by Yaniv Lavi
Modified: 2016-01-19 17:34 EST (History)
7 users (show)

See Also:
Fixed In Version: 4.4.10045.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-15 21:14:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yaniv Lavi 2015-09-20 09:42:19 EDT
This should be added to both oVirt classification and the RHEV product.


Internal Name: cf_ovirt_team
Description: oVirt Team
Long Description: This records what vertical team is working on the bug.

Values:

---
External
Gluster
i18n
Infra
Integration
Network
Node
SLA
Spice
Storage
UX
Virt
Docs
DWH
Reports
Rel-Eng
Sub-Eng
Comment 1 Yaniv Lavi 2015-09-24 09:55:40 EDT
Updated long description:

"""
When opening bugs or RFEs on oVirt, if you don't set the oVirt team in the bug, these bugs go through some initial scrubbing mechanism, to determine which vertical is responsible for them.

However, in most cases the one opening the bug should be able to know what team it is related to. In some cases the issues are in between verticals, but in such case they can be set to one, and worst case they will be moved to another vertical, if needed.

The main values are:
• Network - network issues either originated by the host, or the engine.

• Storage - storage related issues, either originated by the host, or the engine.

• Spice - spice/virt-viewer related issues.

• Infra:
    ∘ Authentication issues.
    ∘ General DB issues (not ones related to specific vertical flow).
    ∘ Host monitoring/communication issues, host statuses, etc.
    ∘ Host deployment/upgrade issues.
    ∘ Certificate issues.
    ∘ engine-config issues.
    ∘ engine-notifier issues.
    ∘ Fencing issues.
    ∘ Scale issues.
    ∘ Satellite/Foreman integration issues.
    ∘ General REST-API issues (not ones related to specific vertical flow).
    ∘ Python SDK, Java SDK and CLI issues.
    ∘ IOPROCESS / python-pthreading / python-cpopen issues.

• Reports - Reports engine issues.

• DWH - Data warehouse issues.

• SLA:
    ∘ MoM.
    ∘ Engine-related SLA issues (CPU / network / storage QOS).
    ∘ Scheduling and load balancing issues.
    ∘ Placement related issues.
    ∘ CPU pinning.
    ∘ NUMA.
    ∘ Affinity.
    ∘ hosted engine HA issues.
    ∘ HA VMs issues.
    ∘ Quota.
    ∘ Optimizer.

• Node:
    ∘ ovirt-node issues.
    ∘ oVirt appliance.

• Virt:
    ∘ VM issues.
    ∘ Emulated machine errors.
    ∘ VM console issues (VNC, SPICE, serial console).
    ∘ templates / instance-types issues.
    ∘ VM import/export, conversion via virt-v2v integration.
    ∘ VM life-cycle issues.
    ∘ general ovirt-guest-agent issues.
    ∘ VM Pools.

• Integration:
    ∘ engine-setup / upgrade / cleanup issues (not ones related ot other vertical rfes / flows).
    ∘ engine-backup / restore issues.
    ∘ iso/image-uploader issues.
    ∘ log collector issues.
    ∘ hosted engine setup / upgrade issues (not ones related ot other vertical rfes / flows).
    ∘ windows guest agent install/update issues (not virtio / spice / guest agent issues).
    ∘ DWH & Reporting setup / upgrade / cleanup issues.
    ∘ ovirt-live issues.
    ∘ ovirt releng issues (unless releng should be used for upstream too).
    ∘ debian packaging issues.
    ∘ CentOS Virt SIG packaging issues.

• UX:
    ∘ General UX issues (not ones related to specific vertical flow).
    ∘ UI plugins.

• i18n - translation issues (i.e. issues that require a translation update, not an English-text update).

• Gluster - gluster issues.

• Docs - documentation issues.

• Rel-Eng - Anything related to product release engineering (tagging / Brew / etc).

• Sub-Eng - anything related to Red Hat support plugin.

• External - Anything that depends on another team not covered in the list above.
"""
Comment 2 Matt Tyson 2015-09-28 01:56:43 EDT
The long description field can't be THAT long.

The best I can do is add it to the field help page:

https://bugzilla.redhat.com/page.cgi?id=fields.html

Is that OK?
Comment 3 Yaniv Lavi 2015-09-28 07:39:48 EDT
(In reply to Matt Tyson from comment #2)
> The long description field can't be THAT long.
> 
> The best I can do is add it to the field help page:
> 
> https://bugzilla.redhat.com/page.cgi?id=fields.html
> 
> Is that OK?

Yes, thanks!
Comment 4 Matt Tyson 2015-09-29 01:54:31 EDT
Field definition created.

TODO: Work with admins to populate the table when it is deployed.
Comment 5 Rony Gong 2015-10-14 02:50:42 EDT
Tested on 
QA environment(bzperfweb01.app.qa) with version(4.4.10042-1, DB: psql)
Result: Fail
The selectable value in the custom field is only "---", seems missed the configuration of setting the selectable value.
Comment 6 Matt Tyson 2015-10-14 18:33:30 EDT
(In reply to Rony Gong from comment #5)
> The selectable value in the custom field is only "---", seems missed the
> configuration of setting the selectable value.

As stated in comment 4, this will be done manually by the bugzilla admins once the code has gone live.
Comment 7 Rony Gong 2015-10-15 03:12:53 EDT
Seems I missed the link "Edit legal values for this field. " in the custom field page in the before, and we could use it to add selectable values.
Comment 8 Yaniv Lavi 2015-12-02 09:48:36 EST
Thanks for this! When will this be release?
Comment 9 Matt Tyson 2015-12-03 00:46:26 EST
It was going to be released about a month ago, but the database upgrade process failed.

We'll make another attempt with the next Bugzilla release.  A date is yet to be scheduled, hopefully soon.
Comment 10 Matt Tyson 2015-12-15 21:14:29 EST
This change is now live. If there are any issues, do not reopen this bug. Instead, you should create a new bug and reference this bug.
Comment 11 Yaniv Lavi 2016-01-19 08:26:22 EST
The help was cut for some reason and some items are missing like network\storage.

Note You need to log in before you can comment on or make changes to this bug.